# Uses of Interface
org.eclipse.microprofile.openapi.models.OpenAPI

Packages that use OpenAPI
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.

## Uses of OpenAPI in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return OpenAPI
Modifier and Type
Method
Description
`OpenAPI`
OASModelReader.`buildModel()`
This method is called by the vendor's OpenAPI processing framework.
`static OpenAPI`
OASFactory.`createOpenAPI()`
This method creates a new `OpenAPI` instance.
Methods in org.eclipse.microprofile.openapi with parameters of type OpenAPI
Modifier and Type
Method
Description
`default void`
OASFilter.`filterOpenAPI(OpenAPI openAPI)`
Allows filtering of the singleton OpenAPI element.

## Uses of OpenAPI in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return OpenAPI
Modifier and Type
Method
Description
`OpenAPI`
OpenAPI.`addSecurityRequirement(SecurityRequirement securityRequirement)`
Adds the given security requirement to this OpenAPI instance's list of security requirements.
`OpenAPI`
OpenAPI.`addServer(Server server)`
Adds the given server to this OpenAPI instance's list of servers.
`OpenAPI`
OpenAPI.`addTag(Tag tag)`
Adds the given tag to this OpenAPI instance's list of tags.
`OpenAPI`
OpenAPI.`addWebhook(String name, PathItem webhook)`
Adds a webhook definition.
`default OpenAPI`
OpenAPI.`components(Components components)`
Sets this OpenAPI instance's components property to the given components.
`default OpenAPI`
OpenAPI.`externalDocs(ExternalDocumentation externalDocs)`
Sets this OpenAPI instance's externalDocs property to the given object.
`default OpenAPI`
OpenAPI.`info(Info info)`
Sets this OpenAPI instance's info property to the given object.
`default OpenAPI`
OpenAPI.`jsonSchemaDialect(String jsonSchemaDialect)`
Sets the default JSON Schema dialect for schemas in this document.
`default OpenAPI`
OpenAPI.`openapi(String openapi)`
Sets this OpenAPI instance's openapi property to the given string.
`default OpenAPI`
OpenAPI.`paths(Paths paths)`
Sets this OpenAPI instance's paths property to the given paths.
`default OpenAPI`
OpenAPI.`security(List<SecurityRequirement> security)`
Sets this OpenAPI instance's security property to the given list.
`default OpenAPI`
OpenAPI.`servers(List<Server> servers)`
Sets this OpenAPI instance's servers property to the given servers.
`default OpenAPI`
OpenAPI.`tags(List<Tag> tags)`
Sets this OpenAPI instance's tags property to the given tags.
`default OpenAPI`
OpenAPI.`webhooks(Map<String,PathItem> webhooks)`
Sets the webhooks property of this OpenAPI instance.